ChangeSet 1.831.15.6, 2002/12/06 13:34:39-06:00, ahaas@airmail.net

[PATCH] C99 initializer for drivers/usb/class/usb-midi.h

Here's a trivial patch for the file to switch it to use C99
initializers. The patch is against 2.5.50.


diff -Nru a/drivers/usb/class/usb-midi.h b/drivers/usb/class/usb-midi.h
--- a/drivers/usb/class/usb-midi.h	Mon Dec  9 11:41:30 2002
+++ b/drivers/usb/class/usb-midi.h	Mon Dec  9 11:41:30 2002
@@ -123,8 +123,8 @@
 /* for Hot-Plugging */
 
 static struct usb_device_id usb_midi_ids [] = {
-	{ match_flags: (USB_DEVICE_ID_MATCH_INT_CLASS | USB_DEVICE_ID_MATCH_INT_SUBCLASS),
-	  bInterfaceClass: USB_CLASS_AUDIO, bInterfaceSubClass: USB_SUBCLASS_MIDISTREAMING},
+	{ .match_flags = (USB_DEVICE_ID_MATCH_INT_CLASS | USB_DEVICE_ID_MATCH_INT_SUBCLASS),
+	  .bInterfaceClass = USB_CLASS_AUDIO, .bInterfaceSubClass = USB_SUBCLASS_MIDISTREAMING},
 	{ USB_DEVICE( USB_VENDOR_ID_ROLAND, USBMIDI_ROLAND_UM1    ) },
 	{ USB_DEVICE( USB_VENDOR_ID_ROLAND, USBMIDI_ROLAND_UM2    ) },
 	{ USB_DEVICE( USB_VENDOR_ID_ROLAND, USBMIDI_ROLAND_UA100G ) },
